Summary:     GNU shtool, The GNU Portable Shell Tool
Name:        shtool
Version:     2.0.1
Release:     2.pp
License:     GPL
Group:       Development/Tools
Source0:     ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
URL:         http://www.gnu.org/software/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Ralf S. Engelschall
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    perl
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: perl
BuildArch:   noarch
ExclusiveOS: linux


%description
GNU shtool is a compilation of small but very stable and portable
shell scripts into a single shell tool. All ingredients were in
successful use over many years in various free software projects.
The compiled shtool program is intended to be used inside the
source tree of other free software packages. There it can overtake
various (usually non-portable) tasks related to the building and
installation of such a package. It especially can replace the old                                             
mkdir.sh, install.sh and related scripts.


%prep
%setup -q


%build
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--libexecdir=/usr/lib   \
	--mandir=/usr/share/man
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS RATIONAL README
%doc THANKS VERSION
/usr/bin/*
/usr/share/aclocal/*
/usr/share/man/man1/*
/usr/share/%{name}/*


%changelog
* Fri Jan 07 2005 peter.pramberger@member.fsf.org
- created

